# Generated by Django 4.1.7 on 2023-04-12 14:34

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("contracts", "0002_contract_comment_contract_task"),
    ]

    operations = [
        migrations.AddField(
            model_name="contract",
            name="installment",
            field=models.IntegerField(default=0),
        ),
        migrations.AddField(
            model_name="contract",
            name="installment_type",
            field=models.CharField(
                choices=[
                    ("weekly", "Weekly"),
                    ("half_month", "15 days"),
                    ("monthly", "Monthly"),
                ],
                default="monthly",
                max_length=50,
            ),
        ),
        migrations.AlterField(
            model_name="contract",
            name="budget",
            field=models.IntegerField(default=0),
        ),
        migrations.AlterField(
            model_name="contract",
            name="email",
            field=models.EmailField(max_length=255),
        ),
        migrations.AlterField(
            model_name="contract",
            name="name",
            field=models.CharField(max_length=255),
        ),
    ]
